[PATCH] xfstests: xfs/322, verify xfs_quota administrator commands against invalid mount path

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Jie Liu <jeff.liu@xxxxxxxxxx>

Introduce xfs/322 to verify xfs_quota administrator commands can
deal with invalid XFS mount path properly without NULL pointer
dereference issue.

Signed-off-by: Jie Liu <jeff.liu@xxxxxxxxxx>
---
 tests/xfs/322     | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/322.out |  2 ++
 tests/xfs/group   |  1 +
 3 files changed, 71 insertions(+)
 create mode 100755 tests/xfs/322
 create mode 100644 tests/xfs/322.out

diff --git a/tests/xfs/322 b/tests/xfs/322
new file mode 100755
index 0000000..9c749a1
--- /dev/null
+++ b/tests/xfs/322
@@ -0,0 +1,68 @@
+#! /bin/bash
+# FS QA Test No. 322
+#
+# Test to verify xfs_quota(8) administrator commands can deal with invalid
+# storage mount point without NULL pointer dereference problem.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Oracle Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+
+# Modify as appropriate.
+_supported_fs generic
+_supported_os IRIX Linux
+
+echo "Silence is golden"
+
+# To run this sanity check we don't need to enable quota function
+# nor need a scratch device as quota tool will get the mount path
+# at first.
+# An non-existent xfs mount point
+INVALID_PATH="/INVALID_XFS_MOUNT_POINT"
+
+xfs_quota -x -c 'report -a' $INVALID_PATH	2>/dev/null
+xfs_quota -x -c 'state -a' $INVALID_PATH	2>/dev/null
+xfs_quota -x -c 'free -h' $INVALID_PATH		2>/dev/null
+xfs_quota -x -c 'quot -v' $INVALID_PATH		2>/dev/null
+xfs_quota -x -c 'remove' $INALID_PATH		2>/dev/null
+xfs_quota -x -c 'disable' $INVALID_PATH		2>/dev/null
+xfs_quota -x -c 'enable' $INVALID_PATH		2>/dev/null
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/322.out b/tests/xfs/322.out
new file mode 100644
index 0000000..8bcca16
--- /dev/null
+++ b/tests/xfs/322.out
@@ -0,0 +1,2 @@
+QA output created by 322
+Silence is golden
diff --git a/tests/xfs/group b/tests/xfs/group
index 26ea9b6..92db1c2 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -182,3 +182,4 @@
 300 auto fsr
 301 auto dump
 302 auto dump
+322 auto quick
-- 
1.8.3.2

_______________________________________________
xfs mailing list
xfs@xxxxxxxxxxx
http://oss.sgi.com/mailman/listinfo/xfs




[Index of Archives]     [Linux XFS Devel]     [Linux Filesystem Development]     [Filesystem Testing]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux